Ubuntu

X logout while playing aisleriot

Reported by David Gibson on 2009-10-13
196
This bug affects 44 people
Affects Status Importance Assigned to Milestone
GNOME Games
Invalid
Undecided
Unassigned
gtk+2.0 (Ubuntu)
Low
Ubuntu Desktop Bugs
Karmic
High
Ubuntu Desktop Bugs

Bug Description

Binary package hint: gnome-games

Unfortunately I don't have a good characterization for this bug, and I'm not sure how to go about getting one.

Several times, while playing a game in aisleriot, my X session has been suddenly logged out for no obvious reason. It's possible this is due to some other bug that has coincidentally gone off while using aisleriot, but it's happened enough times that it seems like it must be aiselriot that is the trigger. I think it's always been while I've been mid-drag with some cards, but I'm not certain about this.

Any advice on how to get some useful debug information for this would he handy - there's not much of a handle on this, I know.

ProblemType: Bug
Architecture: i386
Date: Wed Oct 14 10:16:55 2009
DistroRelease: Ubuntu 9.10
Package: gnome-games 1:2.28.0-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_AU.UTF-8
SourcePackage: gnome-games
Uname: Linux 2.6.31.1-mulberryst24 x86_64
XsessionErrors:
 (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:4810): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:4782): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed

David Gibson (dwg) wrote :
Sebastien Bacher (seb128) wrote :

nothing that the games is doing should be closing the session it's rather xorg or something crashing than a gnome-games bug

affects: gnome-games (Ubuntu) → ubuntu
affects: ubuntu → gnome-games (Ubuntu)
affects: gnome-games (Ubuntu) → ubuntu
oneindelijk (oneindelijk) wrote :

I have the same error message trying to login with my main account.
So I can't login.
It happened after the last update from Karmic Koala.
I'm able to login in the second account and through su <username> execute admin commands.

Could it be o any help to send any logs or is this problem rather unrelated ?

Sam

CleverNickName (powe309) wrote :

I am having the same issue and, so far, it only appears to occur when I am running Aisleriot. Problem began occurring after the initial upgrade to Karmic Koala.

Liang (liangsdu) wrote :

While I am playing freecell, the x window logout suddenly. I test several times! I think it's a gnome-game bug
ubuntu 9.10/

MDill (mattdill) wrote :

I have experience the same problem several times, always while playing Aisleriot and always while dragging a card.

Marvin Dukes (stmcsetech) wrote :

I have experience the same problem several times, always while playing AisleRiot. It is annoying to have to log back in and start from scratch.

Marvin, I play only spider, so I went to Applications, Ubuntu software
center, games, and downloaded another Spider game and "voila" problem
solved. It's the gnome game package that's the trouble. Ray

On Tue, Jan 19, 2010 at 7:48 PM, Marvin Dukes <email address hidden> wrote:

> I have experience the same problem several times, always while playing
> AisleRiot. It is annoying to have to log back in and start from
> scratch.
>
> --
> X logout while playing aisleriot
> https://bugs.launchpad.net/bugs/450832
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The GNOME games package: New
> Status in Ubuntu: New
>
> Bug description:
> Binary package hint: gnome-games
>
> Unfortunately I don't have a good characterization for this bug, and I'm
> not sure how to go about getting one.
>
> Several times, while playing a game in aisleriot, my X session has been
> suddenly logged out for no obvious reason. It's possible this is due to
> some other bug that has coincidentally gone off while using aisleriot, but
> it's happened enough times that it seems like it must be aiselriot that is
> the trigger. I think it's always been while I've been mid-drag with some
> cards, but I'm not certain about this.
>
> Any advice on how to get some useful debug information for this would he
> handy - there's not much of a handle on this, I know.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Oct 14 10:16:55 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-games 1:2.28.0-0ubuntu1
> PackageArchitecture: all
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_AU.UTF-8
> SourcePackage: gnome-games
> Uname: Linux 2.6.31.1-mulberryst24 x86_64
> XsessionErrors:
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (polkit-gnome-authentication-agent-1:4810): GLib-CRITICAL **:
> g_once_init_leave: assertion `initialization_value != 0' failed
> (nautilus:4782): Eel-CRITICAL **: eel_preferences_get_boolean: assertion
> `preferences_is_initialized ()' failed
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-games/+bug/450832/+subscribe
>

Changed in gnome-games:
status: New → Invalid
Sebastien Bacher (seb128) wrote :
affects: ubuntu → gtk+2.0 (Ubuntu)
Changed in gtk+2.0 (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Low
status: New → Fix Released
affects: gtk+2.0 (Ubuntu) → ubuntu
affects: ubuntu → gtk+2.0 (Ubuntu)
Changed in gtk+2.0 (Ubuntu Karmic):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → High
status: New → Triaged
raymond house (raymondh40) wrote :

Ok Sebastien I checked out what you sent but it is all meaningless to me, so
is the bug fixed?? Ray

On Thu, Jan 21, 2010 at 4:46 AM, Sebastien Bacher <email address hidden> wrote:

> The bug is a gtk one and fixed in lucid, see
>
> http://git.gnome.org/browse/gtk+/commit/?h=gtk-2-18&id=0e17e8daa551193b9c3b1922f152eaafe6167957
>
> ** Package changed: ubuntu => gtk+2.0 (Ubuntu)
>
> ** Changed in: gtk+2.0 (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: gtk+2.0 (Ubuntu)
> Status: New => Fix Released
>
> ** Changed in: gtk+2.0 (Ubuntu)
> Assignee: (unassigned) => Ubuntu Desktop Bugs (desktop-bugs)
>
> ** Package changed: gtk+2.0 (Ubuntu) => ubuntu
>
> ** Package changed: ubuntu => gtk+2.0 (Ubuntu)
>
> --
> X logout while playing aisleriot
> https://bugs.launchpad.net/bugs/450832
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The GNOME games package: Invalid
> Status in “gtk+2.0” package in Ubuntu: Fix Released
> Status in “gtk+2.0” source package in Karmic: Triaged
>
> Bug description:
> Binary package hint: gnome-games
>
> Unfortunately I don't have a good characterization for this bug, and I'm
> not sure how to go about getting one.
>
> Several times, while playing a game in aisleriot, my X session has been
> suddenly logged out for no obvious reason. It's possible this is due to
> some other bug that has coincidentally gone off while using aisleriot, but
> it's happened enough times that it seems like it must be aiselriot that is
> the trigger. I think it's always been while I've been mid-drag with some
> cards, but I'm not certain about this.
>
> Any advice on how to get some useful debug information for this would he
> handy - there's not much of a handle on this, I know.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Oct 14 10:16:55 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-games 1:2.28.0-0ubuntu1
> PackageArchitecture: all
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_AU.UTF-8
> SourcePackage: gnome-games
> Uname: Linux 2.6.31.1-mulberryst24 x86_64
> XsessionErrors:
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (polkit-gnome-authentication-agent-1:4810): GLib-CRITICAL **:
> g_once_init_leave: assertion `initialization_value != 0' failed
> (nautilus:4782): Eel-CRITICAL **: eel_preferences_get_boolean: assertion
> `preferences_is_initialized ()' failed
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-games/+bug/450832/+subscribe
>

Sebastien Bacher (seb128) wrote :
Changed in gtk+2.0 (Ubuntu Karmic):
status: Triaged → Fix Committed
Ha Wei (hariswa) wrote :

Nothing to add to the above reports.
My problems are the same as those described.
Just looking for a patch or a fix.

2010.01.21

Bart Holswade (bholswade) wrote :

This is what I got from log viewer. About the same time system kick back to login screen.

Jan 17 09:28:48 b-desktop pulseaudio[1955]: ratelimit.c: 2 events suppressed
Jan 17 13:53:24 b-desktop pulseaudio[1955]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Jan 17 13:53:24 b-desktop pulseaudio[1955]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jan 17 13:53:24 b-desktop pulseaudio[1955]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Jan 17 21:03:56 b-desktop pulseaudio[1955]: ratelimit.c: 138 events suppressed
Jan 17 21:06:47 b-desktop pulseaudio[1955]: ratelimit.c: 1 events suppressed
Jan 17 21:06:52 b-desktop pulseaudio[1955]: ratelimit.c: 3 events suppressed
Jan 18 08:53:10 b-desktop pulseaudio[1945]: ratelimit.c: 3 events suppressed
Jan 19 09:08:39 b-desktop pulseaudio[1908]: ratelimit.c: 1 events suppressed
Jan 19 18:02:55 b-desktop pulseaudio[1908]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Jan 19 18:02:55 b-desktop pulseaudio[1908]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jan 19 18:02:55 b-desktop pulseaudio[1908]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Jan 20 21:33:55 b-desktop pulseaudio[1950]: ratelimit.c: 2 events suppressed
Jan 21 09:43:03 b-desktop pulseaudio[1937]: ratelimit.c: 1 events suppressed
Jan 21 12:05:57 b-desktop pulseaudio[1937]: ratelimit.c: 116 events suppressed
Jan 21 12:05:57 b-desktop pulseaudio[1937]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Jan 21 12:05:57 b-desktop pulseaudio[1937]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jan 21 12:05:57 b-desktop pulseaudio[1937]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Jan 22 10:55:14 b-desktop pulseaudio[1936]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Jan 22 10:55:14 b-desktop pulseaudio[1936]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jan 22 10:55:14 b-desktop pulseaudio[1936]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

Accepted gtk+2.0 into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

Hi Martin, I did the proposed changes and I still have the bug, same as
before. Ray

On Sun, Jan 24, 2010 at 3:34 PM, Martin Pitt <email address hidden> wrote:

> Accepted gtk+2.0 into karmic-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
> ** Tags added: verification-needed
>
> --
> X logout while playing aisleriot
> https://bugs.launchpad.net/bugs/450832
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The GNOME games package: Invalid
> Status in “gtk+2.0” package in Ubuntu: Fix Released
> Status in “gtk+2.0” source package in Karmic: Fix Committed
>
> Bug description:
> Binary package hint: gnome-games
>
> Unfortunately I don't have a good characterization for this bug, and I'm
> not sure how to go about getting one.
>
> Several times, while playing a game in aisleriot, my X session has been
> suddenly logged out for no obvious reason. It's possible this is due to
> some other bug that has coincidentally gone off while using aisleriot, but
> it's happened enough times that it seems like it must be aiselriot that is
> the trigger. I think it's always been while I've been mid-drag with some
> cards, but I'm not certain about this.
>
> Any advice on how to get some useful debug information for this would he
> handy - there's not much of a handle on this, I know.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Oct 14 10:16:55 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-games 1:2.28.0-0ubuntu1
> PackageArchitecture: all
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_AU.UTF-8
> SourcePackage: gnome-games
> Uname: Linux 2.6.31.1-mulberryst24 x86_64
> XsessionErrors:
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (polkit-gnome-authentication-agent-1:4810): GLib-CRITICAL **:
> g_once_init_leave: assertion `initialization_value != 0' failed
> (nautilus:4782): Eel-CRITICAL **: eel_preferences_get_boolean: assertion
> `preferences_is_initialized ()' failed
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-games/+bug/450832/+subscribe
>

Sebastien Bacher (seb128) wrote :

did you restart your session after the gtk update?

raymond house (raymondh40) wrote :

I just did Sebastien and after 45 mins playing spider under Aisleriot it
crashed again,just as before. Ray

On Mon, Jan 25, 2010 at 4:46 AM, Sebastien Bacher <email address hidden> wrote:

> did you restart your session after the gtk update?
>
> --
> X logout while playing aisleriot
> https://bugs.launchpad.net/bugs/450832
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The GNOME games package: Invalid
> Status in “gtk+2.0” package in Ubuntu: Fix Released
> Status in “gtk+2.0” source package in Karmic: Fix Committed
>
> Bug description:
> Binary package hint: gnome-games
>
> Unfortunately I don't have a good characterization for this bug, and I'm
> not sure how to go about getting one.
>
> Several times, while playing a game in aisleriot, my X session has been
> suddenly logged out for no obvious reason. It's possible this is due to
> some other bug that has coincidentally gone off while using aisleriot, but
> it's happened enough times that it seems like it must be aiselriot that is
> the trigger. I think it's always been while I've been mid-drag with some
> cards, but I'm not certain about this.
>
> Any advice on how to get some useful debug information for this would he
> handy - there's not much of a handle on this, I know.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Oct 14 10:16:55 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-games 1:2.28.0-0ubuntu1
> PackageArchitecture: all
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_AU.UTF-8
> SourcePackage: gnome-games
> Uname: Linux 2.6.31.1-mulberryst24 x86_64
> XsessionErrors:
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (polkit-gnome-authentication-agent-1:4810): GLib-CRITICAL **:
> g_once_init_leave: assertion `initialization_value != 0' failed
> (nautilus:4782): Eel-CRITICAL **: eel_preferences_get_boolean: assertion
> `preferences_is_initialized ()' failed
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-games/+bug/450832/+subscribe
>

Sebastien Bacher (seb128) wrote :

could you run "dpkg -l | grep libgtk2.0-0" and copy the log there?

raymond house (raymondh40) wrote :

ii libgtk2.0-0
2.18.3-1ubuntu2.1 The GTK+ graphical user interface
library
raymond@raymond-desktop:~$ dpkg -l | grep libgtk2.0-0

This is what I have Sebastien. Ray

Sebastien Bacher (seb128) wrote :

2.18.3-1ubuntu2.1 is not the fixed version, 2.18.3-1ubuntu2.2 is the one which has the change to try

raymond house (raymondh40) wrote :

Ok, how do I get 2.18.3-1ubuntu2.2 ? Ray

On Mon, Jan 25, 2010 at 6:15 PM, Sebastien Bacher <email address hidden> wrote:

> 2.18.3-1ubuntu2.1 is not the fixed version, 2.18.3-1ubuntu2.2 is the one
> which has the change to try
>
> --
> X logout while playing aisleriot
> https://bugs.launchpad.net/bugs/450832
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The GNOME games package: Invalid
> Status in “gtk+2.0” package in Ubuntu: Fix Released
> Status in “gtk+2.0” source package in Karmic: Fix Committed
>
> Bug description:
> Binary package hint: gnome-games
>
> Unfortunately I don't have a good characterization for this bug, and I'm
> not sure how to go about getting one.
>
> Several times, while playing a game in aisleriot, my X session has been
> suddenly logged out for no obvious reason. It's possible this is due to
> some other bug that has coincidentally gone off while using aisleriot, but
> it's happened enough times that it seems like it must be aiselriot that is
> the trigger. I think it's always been while I've been mid-drag with some
> cards, but I'm not certain about this.
>
> Any advice on how to get some useful debug information for this would he
> handy - there's not much of a handle on this, I know.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Oct 14 10:16:55 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-games 1:2.28.0-0ubuntu1
> PackageArchitecture: all
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_AU.UTF-8
> SourcePackage: gnome-games
> Uname: Linux 2.6.31.1-mulberryst24 x86_64
> XsessionErrors:
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (polkit-gnome-authentication-agent-1:4810): GLib-CRITICAL **:
> g_once_init_leave: assertion `initialization_value != 0' failed
> (nautilus:4782): Eel-CRITICAL **: eel_preferences_get_boolean: assertion
> `preferences_is_initialized ()' failed
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-games/+bug/450832/+subscribe
>

nesquix (nessimail22-ubuntu) wrote :

I've installed the new packages and 've played a game. For the first time I could finish a game and the X session didn't crash. So I suppose the bug is fixed.

Martin Pitt (pitti) on 2010-01-26
tags: added: verification-done
removed: verification-needed
vulfgar (vulfgar) wrote :

I've installed the new packages and played about an hour and it didn't crash. It seems to me the bug is fixed. :)

raymond house (raymondh40) wrote :

Well it is not fixed here it still crashes after about 45 minutes of play,
not very important as I use another spider game(not in the gnome game
package) Ray

On Wed, Jan 27, 2010 at 11:52 PM, vulfgar <email address hidden> wrote:

> I've installed the new packages and played about an hour and it didn't
> crash. It seems to me the bug is fixed. :)
>
> --
> X logout while playing aisleriot
> https://bugs.launchpad.net/bugs/450832
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The GNOME games package: Invalid
> Status in “gtk+2.0” package in Ubuntu: Fix Released
> Status in “gtk+2.0” source package in Karmic: Fix Committed
>
> Bug description:
> Binary package hint: gnome-games
>
> Unfortunately I don't have a good characterization for this bug, and I'm
> not sure how to go about getting one.
>
> Several times, while playing a game in aisleriot, my X session has been
> suddenly logged out for no obvious reason. It's possible this is due to
> some other bug that has coincidentally gone off while using aisleriot, but
> it's happened enough times that it seems like it must be aiselriot that is
> the trigger. I think it's always been while I've been mid-drag with some
> cards, but I'm not certain about this.
>
> Any advice on how to get some useful debug information for this would he
> handy - there's not much of a handle on this, I know.
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Oct 14 10:16:55 2009
> DistroRelease: Ubuntu 9.10
> Package: gnome-games 1:2.28.0-0ubuntu1
> PackageArchitecture: all
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_AU.UTF-8
> SourcePackage: gnome-games
> Uname: Linux 2.6.31.1-mulberryst24 x86_64
> XsessionErrors:
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
> assertion `src != NULL' failed
> (polkit-gnome-authentication-agent-1:4810): GLib-CRITICAL **:
> g_once_init_leave: assertion `initialization_value != 0' failed
> (nautilus:4782): Eel-CRITICAL **: eel_preferences_get_boolean: assertion
> `preferences_is_initialized ()' failed
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-games/+bug/450832/+subscribe
>

raymond house (raymondh40) wrote :

I dont know who is responsible for the updates that I regularly receive but
I got a bunch this morning and they fixed my aisleriot solitaire bug.
Problem fixed here! Thanks to all that are responsible for that. Ray

On Thu, Jan 28, 2010 at 1:08 AM, raymond house <email address hidden> wrote:

> Well it is not fixed here it still crashes after about 45 minutes of play,
> not very important as I use another spider game(not in the gnome game
> package) Ray
>
>
> On Wed, Jan 27, 2010 at 11:52 PM, vulfgar <email address hidden> wrote:
>
>> I've installed the new packages and played about an hour and it didn't
>> crash. It seems to me the bug is fixed. :)
>>
>> --
>> X logout while playing aisleriot
>> https://bugs.launchpad.net/bugs/450832
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in The GNOME games package: Invalid
>> Status in “gtk+2.0” package in Ubuntu: Fix Released
>> Status in “gtk+2.0” source package in Karmic: Fix Committed
>>
>> Bug description:
>> Binary package hint: gnome-games
>>
>> Unfortunately I don't have a good characterization for this bug, and I'm
>> not sure how to go about getting one.
>>
>> Several times, while playing a game in aisleriot, my X session has been
>> suddenly logged out for no obvious reason. It's possible this is due to
>> some other bug that has coincidentally gone off while using aisleriot, but
>> it's happened enough times that it seems like it must be aiselriot that is
>> the trigger. I think it's always been while I've been mid-drag with some
>> cards, but I'm not certain about this.
>>
>> Any advice on how to get some useful debug information for this would he
>> handy - there's not much of a handle on this, I know.
>>
>> ProblemType: Bug
>> Architecture: i386
>> Date: Wed Oct 14 10:16:55 2009
>> DistroRelease: Ubuntu 9.10
>> Package: gnome-games 1:2.28.0-0ubuntu1
>> PackageArchitecture: all
>> ProcEnviron:
>> SHELL=/bin/bash
>> LANG=en_AU.UTF-8
>> SourcePackage: gnome-games
>> Uname: Linux 2.6.31.1-mulberryst24 x86_64
>> XsessionErrors:
>> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
>> assertion `src != NULL' failed
>> (gnome-settings-daemon:4756): GLib-CRITICAL **: g_propagate_error:
>> assertion `src != NULL' failed
>> (polkit-gnome-authentication-agent-1:4810): GLib-CRITICAL **:
>> g_once_init_leave: assertion `initialization_value != 0' failed
>> (nautilus:4782): Eel-CRITICAL **: eel_preferences_get_boolean: assertion
>> `preferences_is_initialized ()' failed
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/gnome-games/+bug/450832/+subscribe
>>
>
>

Jerry (scubajgp) wrote :

I updated Karmic Koala today, and aisleriot crashed after about 45 minutes. Bug is not fixed in the last download of 01/28/2010.

Jerry

Justin Husted (elladan) wrote :

Ok, i got this to reproduce. How can this possibly be a gtk bug? It causes Xorg to segfault:

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x8133d6b]
1: /usr/bin/X(xf86SigHandler+0x55) [0x80c7d35]
2: [0xbc6400]
3: /usr/lib/xorg/modules//libfb.so(fbCopyNtoN+0x24c) [0x4a27cc]
4: /usr/lib/xorg/modules/drivers//intel_drv.so(uxa_copy_n_to_n+0x74a) [0x4639fa]
5: /usr/lib/xorg/modules//libfb.so(fbCopyRegion+0x21b) [0x4a176b]
6: /usr/lib/xorg/modules//libfb.so(fbDoCopy+0x44d) [0x4a1c8d]
7: /usr/lib/xorg/modules/drivers//intel_drv.so(uxa_copy_area+0x98) [0x463258]
8: /usr/bin/X [0x8181593]
9: /usr/bin/X(ProcCopyArea+0x165) [0x808b4c5]
10: /usr/bin/X(Dispatch+0x35f) [0x808d17f]
11: /usr/bin/X(main+0x395) [0x8072515]
12: /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0x2dab56]
13: /usr/bin/X [0x80719c1]
Saw signal 11. Server aborting.

This is obviously a bug in Xorg. A client app should not be able to segfault an X server no matter what it does.

Sebastien Bacher (seb128) wrote :

crashes are a different issues, you should open a new bug on xorg-server for those

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+2.0 - 2.18.3-1ubuntu2.2

---------------
gtk+2.0 (2.18.3-1ubuntu2.2) karmic-proposed; urgency=low

  * debian/patches/096_git_no_implicit_paints_on_foreign_windows.patch:
    - git change to fix a crasher issue
  * debian/patches/097_git_no_destroyed_windows_drawing.patch:
    - git change to fix another csw crasher bug
  * debian/patches/098_git_fix_pixmap_refcount_issue.patch:
    - git change to fix a refcounting issue leading to xorg crashes
      (lp: #450832)
 -- Sebastien Bacher <email address hidden> Thu, 21 Jan 2010 11:39:18 +0100

Changed in gtk+2.0 (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers